Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Support_Attributes_i Class Reference

This class stores, allows access to and modification of trader's support attributes. More...

`#include <Trader.h>`

Collaboration diagram for TAO_Support_Attributes_i:

[legend]
List of all members.

## Public Methods
| TAO_Support_Attributes_i (TAO_Lockable &locker)
| ~TAO_Support_Attributes_i ()
CORBA::Boolean | supports_modifiable_properties (void) const
void | supports_modifiable_properties (CORBA::Boolean)
CORBA::Boolean | supports_dynamic_properties (void) const
void | supports_dynamic_properties (CORBA::Boolean)
CORBA::Boolean | supports_proxy_offers (void) const
void | supports_proxy_offers (CORBA::Boolean)
CosTrading::TypeRepository_ptr | type_repos (void) const
void | type_repos (CosTrading::TypeRepository_ptr)
CosTradingRepos::ServiceTypeRepository_ptr | service_type_repos (void) const
## Private Attributes
TAO_Lockable & | locker_
| A reference to the trader (needed for obtaining the lock.).
CORBA::Boolean | supports_modifiable_properties_
| Indicator of whether the trader supports property modification.
CORBA::Boolean | supports_dynamic_properties_
| Indicator of whether the trader supports dynamic properties.
CORBA::Boolean | supports_proxy_offers_
| Indicator of whether the trader supports proxy offers.
CORBA::Object_var | type_repos_
| A reference to the TypeRepostitory used by the trader.
CosTradingRepos::ServiceTypeRepository_var | service_type_repos_
| Already narrowed reference to the ServiceTypeRepository.

## Detailed Description

This class stores, allows access to and modification of trader's support attributes.

Contains a reference to the trader from which it is used so it can use trader's lock.

## Constructor & Destructor Documentation

TAO_Support_Attributes_i::TAO_Support_Attributes_i | ( | TAO_Lockable & | locker | ) |

TAO_Support_Attributes_i::~TAO_Support_Attributes_i | ( |  | ) |

## Member Function Documentation

CosTradingRepos::ServiceTypeRepository_ptr TAO_Support_Attributes_i::service_type_repos | ( | void |  | ) | const

void TAO_Support_Attributes_i::supports_dynamic_properties | ( | CORBA::Boolean |  | ) |

CORBA::Boolean TAO_Support_Attributes_i::supports_dynamic_properties | ( | void |  | ) | const

void TAO_Support_Attributes_i::supports_modifiable_properties | ( | CORBA::Boolean |  | ) |

CORBA::Boolean TAO_Support_Attributes_i::supports_modifiable_properties | ( | void |  | ) | const

void TAO_Support_Attributes_i::supports_proxy_offers | ( | CORBA::Boolean |  | ) |

CORBA::Boolean TAO_Support_Attributes_i::supports_proxy_offers | ( | void |  | ) | const

void TAO_Support_Attributes_i::type_repos | ( | CosTrading::TypeRepository_ptr |  | ) |

CosTrading::TypeRepository_ptr TAO_Support_Attributes_i::type_repos | ( | void |  | ) | const

## Member Data Documentation

TAO_Lockable& TAO_Support_Attributes_i::locker_`[private]`

| A reference to the trader (needed for obtaining the lock.).

CosTradingRepos::ServiceTypeRepository_var TAO_Support_Attributes_i::service_type_repos_`[private]`

| Already narrowed reference to the ServiceTypeRepository.

CORBA::Boolean TAO_Support_Attributes_i::supports_dynamic_properties_`[private]`

| Indicator of whether the trader supports dynamic properties.

CORBA::Boolean TAO_Support_Attributes_i::supports_modifiable_properties_`[private]`

| Indicator of whether the trader supports property modification.

CORBA::Boolean TAO_Support_Attributes_i::supports_proxy_offers_`[private]`

| Indicator of whether the trader supports proxy offers.

CORBA::Object_var TAO_Support_Attributes_i::type_repos_`[private]`

| A reference to the TypeRepostitory used by the trader.

The documentation for this class was generated from the following files:

- Trader.h
- Trader.cpp